/*
 * siglongjmp.c
 */


#include<sys/types.h>
#include<callgate.h>

#include<signal.h>
#include<errno.h>
#include<setjmp.h>


void siglongjmp(sigjmp_buf env, int val)
{
	sigsetpending(env);
	longjmp(env+1,val);
}
